/***************************************************************************//**
 * @file
 * @brief Widget configuration header.
 *******************************************************************************
 * # License
 * <b>Copyright 2021 Silicon Laboratories Inc. www.silabs.com</b>
 *******************************************************************************
 *
 * SPDX-License-Identifier: Zlib
 *
 * The licensor of this software is Silicon Laboratories Inc.
 *
 * This software is provided 'as-is', without any express or implied
 * warranty. In no event will the authors be held liable for any damages
 * arising from the use of this software.
 *
 * Permission is granted to anyone to use this software for any purpose,
 * including commercial applications, and to alter it and redistribute it
 * freely, subject to the following restrictions:
 *
 * 1. The origin of this software must not be misrepresented; you must not
 *    claim that you wrote the original software. If you use this software
 *    in a product, an acknowledgment in the product documentation would be
 *    appreciated but is not required.
 * 2. Altered source versions must be plainly marked as such, and must not be
 *    misrepresented as being the original software.
 * 3. This notice may not be removed or altered from any source distribution.
 *
 ******************************************************************************/
#ifndef __SL_WIDGET_CONFIG__
#define __SL_WIDGET_CONFIG__

// <<< Use Configuration Wizard in Context Menu >>>

// <h> Dark Theme

// <q SL_WIDGET_TITLE_DARK_THEME> Enable
// <i> Enable dark theme for title widget
#define SL_WIDGET_TITLE_DARK_THEME            1

// <q SL_WIDGET_OPTIONLIST_DARK_THEME> Enable
// <i> Enable dark theme for optionlist widget
#define SL_WIDGET_OPTIONLIST_DARK_THEME       0

// <q SL_WIDGET_TEXTBOX_DARK_THEME> Enable
// <i> Enable dark theme for textbox widget
#define SL_WIDGET_TEXTBOX_DARK_THEME          0

// <q SL_WIDGET_PROGRESSBAR_DARK_THEME> Enable
// <i> Enable dark theme for progressbar widget
#define SL_WIDGET_PROGRESSBAR_DARK_THEME      0

// <q SL_WIDGET_BUTTON_DARK_THEME> Enable
// <i> Enable dark theme for button widget
#define SL_WIDGET_BUTTON_DARK_THEME           1

// </h> End Dark Theme

// <<< end of configuration section >>>

#endif // __SL_WIDGET_CONFIG__
